{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genCardDetail.html.twig" as cd %}

{% block body %}
    <h5>Detail Penarikan</h5>
    <div class="row">
        <div class="col-md-6 col-sm-12 ">
            {{ cd.card_detail('Detail Pengajar',null,'pengajar') }}
        </div>
        <div class="col-md-6 col-sm-12 ">
            {{ cd.card_detail('Detail Penarikan',null,'penarikan') }}

        </div>
        <div class="col-sm-12 " id="btn-penarikan">

        </div>
        <div class="col-md-6 col-sm-12">
            <div class="card card-genossys">
                <h6 class="font-weight-bold">Riwayat Pemasukan <label class="float-right" id="saldoPemasukan">0</label></h6>
                <div class="dropdown-divider"></div>

                {{ dt.datatable('pemasukan') }}
            </div>
        </div>
        <div class="col-md-6 col-sm-12">
            <div class="card card-genossys">
                <h6 class="font-weight-bold">Riwayat Pengeluaran <label class="float-right" id="saldoPenarikan">0</label></h6>
                <div class="dropdown-divider"></div>
                {{ dt.datatable('penarikanTb') }}
            </div>
        </div>
    </div>



    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="form" method="post" onsubmit="">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Masukkan Alasan Menolak</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">

                        <div class="form-group">
                            <div class="form-check form-check-inline">
                                <input class="form-check-input alasan" type="radio" checked name="inlineRadioOptions" id="alasan2" value="2">
                                <label class="form-check-label"  for="alasan2">Alasan :</label>
                            </div>
                            <input type="text" class="form-control" required  id="alasan2Text">

                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <a type="submit" class="btn btn-danger" id="btn-tolak" onclick="tolakPem('6')">Tolak Penarikan</a>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        {#$(document).on('click', 'a#editData', function () {#}
        {#    var id = $(this).data('cred');#}
        {#    var url = '{{ path("les-payment-detail",{id:"no"}) }}';#}
        {#    url = url.replace("no", id);#}
        {#    $(this).attr('href', url);#}
        {#});#}


        $(document).ready(function () {
            if ('{{ status }}' === '0') {
                $('#btn-penarikan').html('<div class="card card-genossys p-0" style="">\n' +
                    '              <div class="card-body" style="display: flex; justify-content: center; align-items: center">\n' +
                    '                  <a class="btn btn-success m-1" onclick="konfirmasi(1)">Terima Penarikan</a> \n' +
                    '                  <a class="btn btn-danger m-1" onclick="konfirmasi(6)">Tolak Penarikan</a> \n' +
                    '              </div>\n' +
                    '          </div>');
            }
            getSaldo('Pemasukan');
            getSaldo('Penarikan');
        });

        function getSaldo(a) {
            var type = a === 'Pemasukan' ? 0 : 1;
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const id = urlParams.get('id');
            let data = {
                'id': id,
                'type': type
            };
            $.get('{{ path('saldo-tentor') }}', data, function (data) {
                if (data['code'] === 200) {
                    console.log(data);
                    var saldo = data['payload']['total'];
                    $('#saldo' + a).html('Rp. ' + saldo)
                }
            })

        }

        function konfirmasi(a) {
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const parm = urlParams.get('p');
            console.log(parm);
            let data1 = {
                'id': parm,
                'status': a,
                'text':''
            };
            console.log(data1);
            console.log(a);
            var text = 'Apakah anda yakin akan menolak penarikan ?';
            if (a === 1) {
                text = 'Apakah anda yakin akan menerima penarikan ?';
            }

            alertify.confirm('Info', text, function () {
                // $('#loading').modal();

                if (a === 1) {
                    $.post("/admin/konfirmasi-penarikan/detail/konfirmasi",data1, function (data) {
                        if (data['code'] === 200) {
                            console.log(data);

                            window.location.reload();
                        }
                    })
                }else{
                    $('#modal').modal();
                }

            }, function () {
            })

        }

        function tolakPem(a) {

            var alasan, text;
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const parm = urlParams.get('p');

            let data2 = {
                'id': parm,
                'status': a,
                'text': $('#alasan2Text').val()
            };
            console.log(data2);

            $.post("/admin/konfirmasi-penarikan/detail/konfirmasi",data2, function (data) {
                if (data['code'] === 200) {
                    console.log(data);
                    window.location.reload();
                }
            });
            return false;

        }

    </script>
    {{ cd.cardDetailJS(pengajar,space,class,wherePemasukan,'pengajar') }}
    {{ cd.cardDetailJS(penarikan,space,classPenarikan,whereCardPenarikan,'penarikan') }}

    {{ dt.datatableJS(class, space, tableAction, tableFields ,wherePemasukan,groupBy,null,null,'pemasukan') }}
    {{ dt.datatableJS(class, space, tableAction, tableFields ,wherePenarikan,groupBy,null,null,'penarikanTb') }}

{% endblock %}